Package: grails.doc.dropdown

## [Groovy] Class Snapshot

- grails.doc.dropdown.Snapshot

- All Implemented Interfaces and Traits:
    java.lang.Comparable<Snapshot>

      class Snapshot
      extends java.lang.Object
      implements java.lang.Comparable<Snapshot>

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `text` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Snapshot (java.lang.String text)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `compareTo(Snapshot o)`
    `` | `int` | `getMilestoneVersion()`
    `` | `int` | `getReleaseCandidateVersion()`
    `` | `boolean` | `isBuildSnapshot()`
    `` | `boolean` | `isMilestone()`
    `` | `boolean` | `isReleaseCandidate()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.String text

  - ### Constructor Detail

    - #### Snapshot(java.lang.String text)

  - ### Method Detail

    - #### @java.lang.Override int compareTo(Snapshot o)

    - #### int getMilestoneVersion()

    - #### int getReleaseCandidateVersion()

    - #### boolean isBuildSnapshot()

    - #### boolean isMilestone()

    - #### boolean isReleaseCandidate()